<template lang="pug">
  nav.navbar
    .spacer
    img.logo(src="~/assets/img/logo.webp", alt='ABEUNI Logo')
    navbar-button(to="/") Junte-se a nós
    navbar-button(to="/donate") Seja um doador
    navbar-button(to="/about") Sobre nós
    navbar-media-button(to="https://www.facebook.com/ABEUNI.org/", :icon="FacebookIcon", alt='Facebook Page')
    navbar-media-button(to="https://www.instagram.com/abeuni/", :icon="InstagramIcon", alt='Intagram Page')
    .spacer
</template>

<script>
import NavbarButton from './NavbarButton.vue'
import NavbarMediaButton from './NavbarMediaButton.vue'

import FacebookIcon from '~/assets/img/media/facebook.webp'
import InstagramIcon from '~/assets/img/media/instagram.webp'

export default {
  components: { NavbarButton, NavbarMediaButton },
  data() {
    return {
      FacebookIcon,
      InstagramIcon
    }
  }
}
</script>

<style lang="scss">
.navbar {
  height: 6em;
  padding: 0 3em;

  background-color: white;

  display: flex;

  & > * {
    margin: auto;
  }

  .spacer {
    flex: 1;
  }

  img.logo {
    align-self: center;
    height: 60%;
    padding-right: 1em;
  }
}
</style>
